searchNodes=[{"ref":"XmlBuilder.Access.html","title":"XmlBuilder.Access","type":"module","doc":"Provides a function-based Access implementation. This allows to get an access to deeply nested elemetns via Kernel.get_in/2, Kernel.pop_in/2, Kernel.put_in/3, Kernel.update_in/3, and Kernel.get_and_update_in/3. Example: iex&gt; get_in({:person, %{id: 1}, [{:data, %{}, [{:name, %{}, &quot;John&quot;}]}]}, ...&gt; [XmlBuilder.Access.key(:data), XmlBuilder.Access.key(:name), XmlBuilder.Access.key()]) &quot;John&quot; iex&gt; update_in({:persons, %{}, [{:name, %{}, &quot;John&quot;}, {:name, %{}, &quot;Jane&quot;}]}, ...&gt; [XmlBuilder.Access.key({:name, -1}), XmlBuilder.Access.key()], fn _ -&gt; &quot;Mary&quot; end) {:persons, %{}, [{:name, %{}, &quot;John&quot;}, {:name, %{}, &quot;Mary&quot;}]} Negative indices are supported, -1 for the last element, -2 for next to the last etc."},{"ref":"XmlBuilder.Access.html#key/1","title":"XmlBuilder.Access.key/1","type":"function","doc":"Default Access function implementation accepting default values. Examples: iex&gt; # simple value iex&gt; get_in({:person, %{id: 1}, 42}, [XmlBuilder.Access.key()]) 42 iex&gt; put_in({:person, %{id: 1}, nil}, [XmlBuilder.Access.key()], 42) {:person, %{id: 1}, 42} iex&gt; update_in({:person, %{id: 1}, nil}, ...&gt; [XmlBuilder.Access.key()], fn _ -&gt; 42 end) {:person, %{id: 1}, 42} iex&gt; get_and_update_in({:person, %{id: 1}, nil}, ...&gt; [XmlBuilder.Access.key()], fn old -&gt; {old, 42} end) {nil, {:person, %{id: 1}, 42}} iex&gt; # nested element iex&gt; get_in({:person, %{id: 1}, [{:name, %{}, &quot;John&quot;}]}, ...&gt; [XmlBuilder.Access.key(:name)]) {:name, %{}, &quot;John&quot;} iex&gt; put_in({:person, %{id: 1}, [{:name, %{}, &quot;John&quot;}]}, ...&gt; [XmlBuilder.Access.key(:name)], &quot;Mary&quot;) {:person, %{id: 1}, [{:name, %{}, &quot;Mary&quot;}]} iex&gt; update_in({:person, %{id: 1}, [{:name, %{}, &quot;John&quot;}]}, ...&gt; [XmlBuilder.Access.key(:name)], fn _ -&gt; &quot;Mary&quot; end) {:person, %{id: 1}, [{:name, %{}, &quot;Mary&quot;}]} iex&gt; get_and_update_in({:person, %{id: 1}, [{:name, %{}, &quot;John&quot;}]}, ...&gt; [XmlBuilder.Access.key(:name)], fn {_, _, old} -&gt; {old, &quot;Mary&quot;} end) {&quot;John&quot;, {:person, %{id: 1}, [{:name, %{}, &quot;Mary&quot;}]}}"},{"ref":"XmlBuilder.Access.html#t:maybe_ordered_key/0","title":"XmlBuilder.Access.maybe_ordered_key/0","type":"type","doc":"Nested elements of any node are in general accessible by {name, index} tuple. When a single name atom passed as an argument, the implementation assumes index zero."},{"ref":"readme.html","title":"XmlBuilder.Access","type":"extras","doc":"XmlBuilder.Access Access implementation for XmlBuilder."},{"ref":"readme.html#installation","title":"XmlBuilder.Access - Installation","type":"extras","doc":"def deps do [ {:xml_builder_access, &quot;~&gt; 0.1&quot;} ] end"},{"ref":"readme.html#documentation","title":"XmlBuilder.Access - Documentation","type":"extras","doc":"https://hexdocs.pm/xml_builder_access."}]